---
Tournament:
  name: UMBC Science Olympiad Invitational (Neighbors Division)
  short name: UMBC Neighbors Division Invitational
  location: University of Maryland, Baltimore County
  state: MD
  level: Invitational
  division: C
  year: 2025
  medals: 3
  trophies: 2
  n offset: 56
  start date: 2025-01-18
  end date: 2025-01-18
  awards date: 2025-01-18
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Astronomy
- name: Bungee Drop
- name: Chemistry Lab
- name: Codebusters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Electric Vehicle
- name: Entomology
- name: Experimental Design
- name: Forensics
- name: Fossils
- name: Geologic Mapping
- name: Helicopter
- name: Materials Science
- name: Microbe Mission
- name: Optics
- name: Robot Tour
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 67
  school: Montgomery Blair High School
  city: Silver Spring
  state: MD
- number: 58
  school: Central York High School
  suffix: Orange
  city: York
  state: PA
- number: 63
  school: Springfield High School
  suffix: Blue Cougars
  city: Springfield
  state: PA
- number: 59
  school: Central York High School
  suffix: Black
  city: York
  state: PA
- number: 72
  school: Charter School of Wilmington
  suffix: B
  city: Wilmington
  state: DE
- number: 71
  school: Charter School of Wilmington
  suffix: A
  city: Wilmington
  state: DE
- number: 70
  school: McLean High School
  city: McLean
  state: VA
- number: 68
  school: Poolesville High School
  suffix: A
  city: Poolesville
  state: MD
- number: 64
  school: Springfield High School
  suffix: Gold Cougars
  city: Springfield
  state: PA
- number: 65
  school: Chesapeake Math and IT Academy North High School
  school abbreviation: CMIT North
  suffix: A
  city: Laurel
  state: MD
- number: 60
  school: Kingsway Regional High School
  city: Woolwich Township
  state: NJ
- number: 69
  school: Poolesville High School
  suffix: B
  city: Poolesville
  state: MD
- number: 66
  school: Chesapeake Math and IT Academy North High School
  school abbreviation: CMIT North
  suffix: B
  city: Laurel
  state: MD
- number: 61
  school: Delcastle Technical High School
  suffix: Blue
  city: Wilmington
  state: DE
- number: 62
  school: Delcastle Technical High School
  suffix: White
  city: Wilmington
  state: DE
Placings:
- team: 67
  event: Air Trajectory
  place: 2
- team: 67
  event: Anatomy and Physiology
  place: 2
- team: 67
  event: Astronomy
  place: 2
- team: 67
  event: Bungee Drop
  place: 2
- team: 67
  event: Chemistry Lab
  place: 2
- team: 67
  event: Codebusters
  place: 1
- team: 67
  event: Disease Detectives
  place: 2
- team: 67
  event: Dynamic Planet
  place: 1
- team: 67
  event: Ecology
  place: 2
- team: 67
  event: Electric Vehicle
  place: 5
- team: 67
  event: Entomology
  place: 6
- team: 67
  event: Experimental Design
  place: 1
- team: 67
  event: Forensics
  place: 1
- team: 67
  event: Fossils
  place: 1
- team: 67
  event: Geologic Mapping
  place: 2
- team: 67
  event: Helicopter
  place: 1
- team: 67
  event: Materials Science
  place: 2
- team: 67
  event: Microbe Mission
  place: 1
- team: 67
  event: Optics
  place: 1
- team: 67
  event: Robot Tour
  place: 1
- team: 67
  event: Tower
  place: 4
- team: 67
  event: Wind Power
  place: 1
- team: 67
  event: Write It Do It
  place: 1
- team: 58
  event: Air Trajectory
  place: 4
- team: 58
  event: Anatomy and Physiology
  place: 3
- team: 58
  event: Astronomy
  place: 11
- team: 58
  event: Bungee Drop
  place: 6
- team: 58
  event: Chemistry Lab
  place: 1
- team: 58
  event: Codebusters
  place: 6
- team: 58
  event: Disease Detectives
  place: 8
- team: 58
  event: Dynamic Planet
  place: 8
- team: 58
  event: Ecology
  place: 12
- team: 58
  event: Electric Vehicle
  place: 8
- team: 58
  event: Entomology
  place: 7
- team: 58
  event: Experimental Design
  place: 4
- team: 58
  event: Forensics
  place: 6
- team: 58
  event: Fossils
  place: 10
- team: 58
  event: Geologic Mapping
  place: 7
- team: 58
  event: Helicopter
  place: 6
- team: 58
  event: Materials Science
  place: 3
- team: 58
  event: Microbe Mission
  place: 10
- team: 58
  event: Optics
  place: 8
- team: 58
  event: Robot Tour
  place: 7
  tie: true
- team: 58
  event: Tower
  place: 11
- team: 58
  event: Wind Power
  place: 9
- team: 58
  event: Write It Do It
  place: 5
- team: 63
  event: Air Trajectory
  place: 1
- team: 63
  event: Anatomy and Physiology
  place: 5
- team: 63
  event: Astronomy
  place: 4
- team: 63
  event: Bungee Drop
  place: 3
- team: 63
  event: Chemistry Lab
  place: 3
- team: 63
  event: Codebusters
  place: 4
- team: 63
  event: Disease Detectives
  place: 10
- team: 63
  event: Dynamic Planet
  place: 4
- team: 63
  event: Ecology
  place: 3
- team: 63
  event: Electric Vehicle
  participated: false
- team: 63
  event: Entomology
  place: 1
- team: 63
  event: Experimental Design
  place: 3
- team: 63
  event: Forensics
  place: 2
- team: 63
  event: Fossils
  place: 6
- team: 63
  event: Geologic Mapping
  place: 4
- team: 63
  event: Helicopter
  place: 4
- team: 63
  event: Materials Science
  place: 4
- team: 63
  event: Microbe Mission
  place: 8
- team: 63
  event: Optics
  place: 4
- team: 63
  event: Robot Tour
  place: 2
- team: 63
  event: Tower
  place: 2
- team: 63
  event: Wind Power
  place: 5
- team: 63
  event: Write It Do It
  place: 8
- team: 59
  event: Air Trajectory
  place: 5
- team: 59
  event: Anatomy and Physiology
  place: 10
- team: 59
  event: Astronomy
  place: 10
- team: 59
  event: Bungee Drop
  place: 12
- team: 59
  event: Chemistry Lab
  place: 6
- team: 59
  event: Codebusters
  place: 8
- team: 59
  event: Disease Detectives
  place: 6
- team: 59
  event: Dynamic Planet
  place: 11
- team: 59
  event: Ecology
  place: 11
- team: 59
  event: Electric Vehicle
  place: 3
- team: 59
  event: Entomology
  place: 9
- team: 59
  event: Experimental Design
  place: 9
- team: 59
  event: Forensics
  place: 8
- team: 59
  event: Fossils
  place: 8
- team: 59
  event: Geologic Mapping
  place: 8
- team: 59
  event: Helicopter
  place: 2
- team: 59
  event: Materials Science
  place: 12
- team: 59
  event: Microbe Mission
  place: 5
- team: 59
  event: Optics
  place: 5
- team: 59
  event: Robot Tour
  place: 5
- team: 59
  event: Tower
  place: 6
- team: 59
  event: Wind Power
  place: 10
- team: 59
  event: Write It Do It
  place: 9
- team: 72
  event: Air Trajectory
  participated: false
- team: 72
  event: Anatomy and Physiology
  place: 6
- team: 72
  event: Astronomy
  place: 5
- team: 72
  event: Bungee Drop
  place: 5
- team: 72
  event: Chemistry Lab
  place: 11
- team: 72
  event: Codebusters
  place: 7
- team: 72
  event: Disease Detectives
  place: 5
- team: 72
  event: Dynamic Planet
  place: 7
- team: 72
  event: Ecology
  place: 4
- team: 72
  event: Electric Vehicle
  place: 7
- team: 72
  event: Entomology
  place: 4
- team: 72
  event: Experimental Design
  place: 6
- team: 72
  event: Forensics
  place: 9
- team: 72
  event: Fossils
  place: 2
- team: 72
  event: Geologic Mapping
  place: 6
- team: 72
  event: Helicopter
  place: 7
- team: 72
  event: Materials Science
  place: 9
- team: 72
  event: Microbe Mission
  place: 3
- team: 72
  event: Optics
  place: 3
- team: 72
  event: Robot Tour
  place: 10
- team: 72
  event: Tower
  place: 7
- team: 72
  event: Wind Power
  place: 6
- team: 72
  event: Write It Do It
  place: 4
- team: 71
  event: Air Trajectory
  place: 3
- team: 71
  event: Anatomy and Physiology
  participated: false
- team: 71
  event: Astronomy
  place: 1
- team: 71
  event: Bungee Drop
  place: 10
- team: 71
  event: Chemistry Lab
  place: 4
- team: 71
  event: Codebusters
  place: 2
- team: 71
  event: Disease Detectives
  place: 1
- team: 71
  event: Dynamic Planet
  place: 3
- team: 71
  event: Ecology
  place: 7
- team: 71
  event: Electric Vehicle
  place: 2
- team: 71
  event: Entomology
  place: 5
- team: 71
  event: Experimental Design
  place: 5
- team: 71
  event: Forensics
  place: 5
- team: 71
  event: Fossils
  place: 3
- team: 71
  event: Geologic Mapping
  place: 1
- team: 71
  event: Helicopter
  participated: false
- team: 71
  event: Materials Science
  place: 1
- team: 71
  event: Microbe Mission
  place: 4
- team: 71
  event: Optics
  place: 2
- team: 71
  event: Robot Tour
  place: 7
  tie: true
- team: 71
  event: Tower
  place: 9
- team: 71
  event: Wind Power
  place: 2
- team: 71
  event: Write It Do It
  place: 2
- team: 70
  event: Air Trajectory
  participated: false
- team: 70
  event: Anatomy and Physiology
  place: 1
- team: 70
  event: Astronomy
  place: 3
- team: 70
  event: Bungee Drop
  place: 4
- team: 70
  event: Chemistry Lab
  place: 8
- team: 70
  event: Codebusters
  place: 3
- team: 70
  event: Disease Detectives
  place: 3
- team: 70
  event: Dynamic Planet
  place: 2
- team: 70
  event: Ecology
  place: 5
- team: 70
  event: Electric Vehicle
  place: 4
- team: 70
  event: Entomology
  place: 2
- team: 70
  event: Experimental Design
  place: 2
- team: 70
  event: Forensics
  place: 12
- team: 70
  event: Fossils
  place: 5
- team: 70
  event: Geologic Mapping
  place: 5
- team: 70
  event: Helicopter
  participated: false
- team: 70
  event: Materials Science
  place: 10
- team: 70
  event: Microbe Mission
  place: 2
- team: 70
  event: Optics
  place: 10
- team: 70
  event: Robot Tour
  place: 3
- team: 70
  event: Tower
  place: 1
- team: 70
  event: Wind Power
  place: 11
- team: 70
  event: Write It Do It
  place: 6
- team: 68
  event: Air Trajectory
  participated: false
- team: 68
  event: Anatomy and Physiology
  place: 7
- team: 68
  event: Astronomy
  place: 7
- team: 68
  event: Bungee Drop
  place: 9
- team: 68
  event: Chemistry Lab
  place: 5
- team: 68
  event: Codebusters
  place: 5
- team: 68
  event: Disease Detectives
  place: 11
- team: 68
  event: Dynamic Planet
  place: 6
- team: 68
  event: Ecology
  place: 1
- team: 68
  event: Electric Vehicle
  participated: false
- team: 68
  event: Entomology
  place: 3
- team: 68
  event: Experimental Design
  place: 8
- team: 68
  event: Forensics
  place: 3
- team: 68
  event: Fossils
  place: 9
- team: 68
  event: Geologic Mapping
  place: 3
- team: 68
  event: Helicopter
  place: 3
- team: 68
  event: Materials Science
  place: 6
- team: 68
  event: Microbe Mission
  place: 12
- team: 68
  event: Optics
  place: 7
- team: 68
  event: Robot Tour
  place: 6
- team: 68
  event: Tower
  place: 3
- team: 68
  event: Wind Power
  place: 7
- team: 68
  event: Write It Do It
  place: 10
- team: 64
  event: Air Trajectory
  participated: false
- team: 64
  event: Anatomy and Physiology
  place: 9
- team: 64
  event: Astronomy
  place: 6
- team: 64
  event: Bungee Drop
  place: 11
- team: 64
  event: Chemistry Lab
  place: 9
- team: 64
  event: Codebusters
  place: 9
- team: 64
  event: Disease Detectives
  place: 7
- team: 64
  event: Dynamic Planet
  place: 5
- team: 64
  event: Ecology
  place: 9
- team: 64
  event: Electric Vehicle
  participated: false
- team: 64
  event: Entomology
  place: 11
- team: 64
  event: Experimental Design
  place: 12
- team: 64
  event: Forensics
  place: 4
- team: 64
  event: Fossils
  place: 7
- team: 64
  event: Geologic Mapping
  place: 9
- team: 64
  event: Helicopter
  place: 5
- team: 64
  event: Materials Science
  place: 5
- team: 64
  event: Microbe Mission
  place: 11
- team: 64
  event: Optics
  place: 6
- team: 64
  event: Robot Tour
  place: 4
- team: 64
  event: Tower
  place: 5
- team: 64
  event: Wind Power
  place: 4
- team: 64
  event: Write It Do It
  place: 11
- team: 65
  event: Air Trajectory
  place: 6
- team: 65
  event: Anatomy and Physiology
  place: 8
- team: 65
  event: Astronomy
  place: 12
- team: 65
  event: Bungee Drop
  place: 7
- team: 65
  event: Chemistry Lab
  place: 7
- team: 65
  event: Codebusters
  place: 10
- team: 65
  event: Disease Detectives
  place: 12
- team: 65
  event: Dynamic Planet
  place: 10
- team: 65
  event: Ecology
  place: 10
- team: 65
  event: Electric Vehicle
  place: 6
- team: 65
  event: Entomology
  place: 10
- team: 65
  event: Experimental Design
  place: 11
- team: 65
  event: Forensics
  place: 11
- team: 65
  event: Fossils
  place: 11
- team: 65
  event: Geologic Mapping
  place: 11
- team: 65
  event: Helicopter
  participated: false
- team: 65
  event: Materials Science
  place: 11
- team: 65
  event: Microbe Mission
  place: 7
- team: 65
  event: Optics
  participated: false
- team: 65
  event: Robot Tour
  place: 11
- team: 65
  event: Tower
  place: 8
- team: 65
  event: Wind Power
  place: 3
- team: 65
  event: Write It Do It
  place: 12
- team: 60
  event: Air Trajectory
  participated: false
- team: 60
  event: Anatomy and Physiology
  participated: false
- team: 60
  event: Astronomy
  place: 8
- team: 60
  event: Bungee Drop
  place: 1
- team: 60
  event: Chemistry Lab
  place: 10
- team: 60
  event: Codebusters
  participated: false
- team: 60
  event: Disease Detectives
  place: 13
- team: 60
  event: Dynamic Planet
  participated: false
- team: 60
  event: Ecology
  place: 6
- team: 60
  event: Electric Vehicle
  place: 1
- team: 60
  event: Entomology
  participated: false
- team: 60
  event: Experimental Design
  place: 7
- team: 60
  event: Forensics
  participated: false
- team: 60
  event: Fossils
  place: 4
- team: 60
  event: Geologic Mapping
  participated: false
- team: 60
  event: Helicopter
  participated: false
- team: 60
  event: Materials Science
  place: 7
- team: 60
  event: Microbe Mission
  place: 9
- team: 60
  event: Optics
  place: 9
- team: 60
  event: Robot Tour
  participated: false
- team: 60
  event: Tower
  place: 12
- team: 60
  event: Wind Power
  participated: false
- team: 60
  event: Write It Do It
  place: 3
- team: 69
  event: Air Trajectory
  participated: false
- team: 69
  event: Anatomy and Physiology
  place: 4
- team: 69
  event: Astronomy
  participated: false
- team: 69
  event: Bungee Drop
  place: 8
- team: 69
  event: Chemistry Lab
  place: 13
- team: 69
  event: Codebusters
  participated: false
- team: 69
  event: Disease Detectives
  place: 4
- team: 69
  event: Dynamic Planet
  participated: false
- team: 69
  event: Ecology
  place: 8
- team: 69
  event: Electric Vehicle
  participated: false
- team: 69
  event: Entomology
  place: 8
- team: 69
  event: Experimental Design
  place: 10
- team: 69
  event: Forensics
  place: 7
- team: 69
  event: Fossils
  participated: false
- team: 69
  event: Geologic Mapping
  participated: false
- team: 69
  event: Helicopter
  participated: false
- team: 69
  event: Materials Science
  place: 8
- team: 69
  event: Microbe Mission
  place: 6
- team: 69
  event: Optics
  participated: false
- team: 69
  event: Robot Tour
  place: 7
  tie: true
- team: 69
  event: Tower
  participated: false
- team: 69
  event: Wind Power
  place: 8
- team: 69
  event: Write It Do It
  place: 7
- team: 66
  event: Air Trajectory
  participated: false
- team: 66
  event: Anatomy and Physiology
  place: 11
- team: 66
  event: Astronomy
  place: 9
- team: 66
  event: Bungee Drop
  participated: false
- team: 66
  event: Chemistry Lab
  place: 12
- team: 66
  event: Codebusters
  participated: false
- team: 66
  event: Disease Detectives
  place: 9
- team: 66
  event: Dynamic Planet
  place: 9
- team: 66
  event: Ecology
  participated: false
- team: 66
  event: Electric Vehicle
  participated: false
- team: 66
  event: Entomology
  participated: false
- team: 66
  event: Experimental Design
  participated: false
- team: 66
  event: Forensics
  place: 10
- team: 66
  event: Fossils
  place: 12
- team: 66
  event: Geologic Mapping
  place: 10
- team: 66
  event: Helicopter
  participated: false
- team: 66
  event: Materials Science
  participated: false
- team: 66
  event: Microbe Mission
  place: 13
- team: 66
  event: Optics
  participated: false
- team: 66
  event: Robot Tour
  participated: false
- team: 66
  event: Tower
  place: 10
- team: 66
  event: Wind Power
  participated: false
- team: 66
  event: Write It Do It
  place: 13
- team: 61
  event: Air Trajectory
  participated: false
- team: 61
  event: Anatomy and Physiology
  participated: false
- team: 61
  event: Astronomy
  participated: false
- team: 61
  event: Bungee Drop
  participated: false
- team: 61
  event: Chemistry Lab
  participated: false
- team: 61
  event: Codebusters
  participated: false
- team: 61
  event: Disease Detectives
  participated: false
- team: 61
  event: Dynamic Planet
  participated: false
- team: 61
  event: Ecology
  participated: false
- team: 61
  event: Electric Vehicle
  participated: false
- team: 61
  event: Entomology
  participated: false
- team: 61
  event: Experimental Design
  participated: false
- team: 61
  event: Forensics
  participated: false
- team: 61
  event: Fossils
  participated: false
- team: 61
  event: Geologic Mapping
  participated: false
- team: 61
  event: Helicopter
  participated: false
- team: 61
  event: Materials Science
  participated: false
- team: 61
  event: Microbe Mission
  participated: false
- team: 61
  event: Optics
  participated: false
- team: 61
  event: Robot Tour
  participated: false
- team: 61
  event: Tower
  participated: false
- team: 61
  event: Wind Power
  participated: false
- team: 61
  event: Write It Do It
  participated: false
- team: 62
  event: Air Trajectory
  participated: false
- team: 62
  event: Anatomy and Physiology
  participated: false
- team: 62
  event: Astronomy
  participated: false
- team: 62
  event: Bungee Drop
  participated: false
- team: 62
  event: Chemistry Lab
  participated: false
- team: 62
  event: Codebusters
  participated: false
- team: 62
  event: Disease Detectives
  participated: false
- team: 62
  event: Dynamic Planet
  participated: false
- team: 62
  event: Ecology
  participated: false
- team: 62
  event: Electric Vehicle
  participated: false
- team: 62
  event: Entomology
  participated: false
- team: 62
  event: Experimental Design
  participated: false
- team: 62
  event: Forensics
  participated: false
- team: 62
  event: Fossils
  participated: false
- team: 62
  event: Geologic Mapping
  participated: false
- team: 62
  event: Helicopter
  participated: false
- team: 62
  event: Materials Science
  participated: false
- team: 62
  event: Microbe Mission
  participated: false
- team: 62
  event: Optics
  participated: false
- team: 62
  event: Robot Tour
  participated: false
- team: 62
  event: Tower
  participated: false
- team: 62
  event: Wind Power
  participated: false
- team: 62
  event: Write It Do It
  participated: false
